// $ANTLR 3.0.1 /Users/take/Documents/workspace/Gem4c/src/Gem4c.g 2009-07-18 18:46:51

import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

public class Gem4cLexer extends Lexer {
    public static final int T21=21;
    public static final int CONST=5;
    public static final int T14=14;
    public static final int T29=29;
    public static final int T22=22;
    public static final int T11=11;
    public static final int T9=9;
    public static final int WS=6;
    public static final int T12=12;
    public static final int T28=28;
    public static final int T23=23;
    public static final int T13=13;
    public static final int T20=20;
    public static final int T7=7;
    public static final int T10=10;
    public static final int T25=25;
    public static final int T18=18;
    public static final int T26=26;
    public static final int T15=15;
    public static final int EOF=-1;
    public static final int T17=17;
    public static final int Tokens=31;
    public static final int T16=16;
    public static final int T27=27;
    public static final int T8=8;
    public static final int T30=30;
    public static final int T24=24;
    public static final int T19=19;
    public static final int ID=4;
    public Gem4cLexer() {;} 
    public Gem4cLexer(CharStream input) {
        super(input);
    }
    public String getGrammarFileName() { return "/Users/take/Documents/workspace/Gem4c/src/Gem4c.g"; }

    // $ANTLR start T7
    public final void mT7() throws RecognitionException {
        try {
            int _type = T7;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:3:4: ( 'int' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:3:6: 'int'
            {
            match("int"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T7

    // $ANTLR start T8
    public final void mT8() throws RecognitionException {
        try {
            int _type = T8;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:4:4: ( ',' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:4:6: ','
            {
            match(','); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T8

    // $ANTLR start T9
    public final void mT9() throws RecognitionException {
        try {
            int _type = T9;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:5:4: ( ';' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:5:6: ';'
            {
            match(';'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T9

    // $ANTLR start T10
    public final void mT10() throws RecognitionException {
        try {
            int _type = T10;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:6:5: ( '{' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:6:7: '{'
            {
            match('{'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T10

    // $ANTLR start T11
    public final void mT11() throws RecognitionException {
        try {
            int _type = T11;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:7:5: ( '}' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:7:7: '}'
            {
            match('}'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T11

    // $ANTLR start T12
    public final void mT12() throws RecognitionException {
        try {
            int _type = T12;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:8:5: ( '=' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:8:7: '='
            {
            match('='); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T12

    // $ANTLR start T13
    public final void mT13() throws RecognitionException {
        try {
            int _type = T13;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:9:5: ( 'led' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:9:7: 'led'
            {
            match("led"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T13

    // $ANTLR start T14
    public final void mT14() throws RecognitionException {
        try {
            int _type = T14;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:10:5: ( '(' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:10:7: '('
            {
            match('('); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T14

    // $ANTLR start T15
    public final void mT15() throws RecognitionException {
        try {
            int _type = T15;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:11:5: ( ')' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:11:7: ')'
            {
            match(')'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T15

    // $ANTLR start T16
    public final void mT16() throws RecognitionException {
        try {
            int _type = T16;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:12:5: ( 'out' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:12:7: 'out'
            {
            match("out"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T16

    // $ANTLR start T17
    public final void mT17() throws RecognitionException {
        try {
            int _type = T17;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:13:5: ( 'cmpl' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:13:7: 'cmpl'
            {
            match("cmpl"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T17

    // $ANTLR start T18
    public final void mT18() throws RecognitionException {
        try {
            int _type = T18;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:14:5: ( 'shift' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:14:7: 'shift'
            {
            match("shift"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T18

    // $ANTLR start T19
    public final void mT19() throws RecognitionException {
        try {
            int _type = T19;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:15:5: ( 'shts' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:15:7: 'shts'
            {
            match("shts"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T19

    // $ANTLR start T20
    public final void mT20() throws RecognitionException {
        try {
            int _type = T20;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:16:5: ( 'sound' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:16:7: 'sound'
            {
            match("sound"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T20

    // $ANTLR start T21
    public final void mT21() throws RecognitionException {
        try {
            int _type = T21;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:17:5: ( 'timer' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:17:7: 'timer'
            {
            match("timer"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T21

    // $ANTLR start T22
    public final void mT22() throws RecognitionException {
        try {
            int _type = T22;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:18:5: ( '$A' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:18:7: '$A'
            {
            match("$A"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T22

    // $ANTLR start T23
    public final void mT23() throws RecognitionException {
        try {
            int _type = T23;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:19:5: ( '+' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:19:7: '+'
            {
            match('+'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T23

    // $ANTLR start T24
    public final void mT24() throws RecognitionException {
        try {
            int _type = T24;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:20:5: ( 'key' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:20:7: 'key'
            {
            match("key"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T24

    // $ANTLR start T25
    public final void mT25() throws RecognitionException {
        try {
            int _type = T25;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:21:5: ( '-' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:21:7: '-'
            {
            match('-'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T25

    // $ANTLR start T26
    public final void mT26() throws RecognitionException {
        try {
            int _type = T26;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:22:5: ( 'if' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:22:7: 'if'
            {
            match("if"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T26

    // $ANTLR start T27
    public final void mT27() throws RecognitionException {
        try {
            int _type = T27;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:23:5: ( 'while' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:23:7: 'while'
            {
            match("while"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T27

    // $ANTLR start T28
    public final void mT28() throws RecognitionException {
        try {
            int _type = T28;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:24:5: ( '$Z' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:24:7: '$Z'
            {
            match("$Z"); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T28

    // $ANTLR start T29
    public final void mT29() throws RecognitionException {
        try {
            int _type = T29;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:25:5: ( '>' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:25:7: '>'
            {
            match('>'); 

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T29

    // $ANTLR start T30
    public final void mT30() throws RecognitionException {
        try {
            int _type = T30;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:26:5: ( '==' )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:26:7: '=='
            {
            match("=="); 


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end T30

    // $ANTLR start ID
    public final void mID() throws RecognitionException {
        try {
            int _type = ID;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:157:4: ( ( 'a' .. 'z' | 'A' .. 'Z' ) ( 'a' .. 'z' | 'A' .. 'Z' | '0' .. '9' )* )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:157:7: ( 'a' .. 'z' | 'A' .. 'Z' ) ( 'a' .. 'z' | 'A' .. 'Z' | '0' .. '9' )*
            {
            if ( (input.LA(1)>='A' && input.LA(1)<='Z')||(input.LA(1)>='a' && input.LA(1)<='z') ) {
                input.consume();

            }
            else {
                MismatchedSetException mse =
                    new MismatchedSetException(null,input);
                recover(mse);    throw mse;
            }

            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:157:26: ( 'a' .. 'z' | 'A' .. 'Z' | '0' .. '9' )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( ((LA1_0>='0' && LA1_0<='9')||(LA1_0>='A' && LA1_0<='Z')||(LA1_0>='a' && LA1_0<='z')) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:
            	    {
            	    if ( (input.LA(1)>='0' && input.LA(1)<='9')||(input.LA(1)>='A' && input.LA(1)<='Z')||(input.LA(1)>='a' && input.LA(1)<='z') ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end ID

    // $ANTLR start CONST
    public final void mCONST() throws RecognitionException {
        try {
            int _type = CONST;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:158:7: ( ( '0' .. '9' )+ )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:158:9: ( '0' .. '9' )+
            {
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:158:9: ( '0' .. '9' )+
            int cnt2=0;
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( ((LA2_0>='0' && LA2_0<='9')) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:158:9: '0' .. '9'
            	    {
            	    matchRange('0','9'); 

            	    }
            	    break;

            	default :
            	    if ( cnt2 >= 1 ) break loop2;
                        EarlyExitException eee =
                            new EarlyExitException(2, input);
                        throw eee;
                }
                cnt2++;
            } while (true);


            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end CONST

    // $ANTLR start WS
    public final void mWS() throws RecognitionException {
        try {
            int _type = WS;
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:159:4: ( ( ' ' | '\\t' | '\\r' | '\\n' )+ )
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:159:6: ( ' ' | '\\t' | '\\r' | '\\n' )+
            {
            // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:159:6: ( ' ' | '\\t' | '\\r' | '\\n' )+
            int cnt3=0;
            loop3:
            do {
                int alt3=2;
                int LA3_0 = input.LA(1);

                if ( ((LA3_0>='\t' && LA3_0<='\n')||LA3_0=='\r'||LA3_0==' ') ) {
                    alt3=1;
                }


                switch (alt3) {
            	case 1 :
            	    // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:
            	    {
            	    if ( (input.LA(1)>='\t' && input.LA(1)<='\n')||input.LA(1)=='\r'||input.LA(1)==' ' ) {
            	        input.consume();

            	    }
            	    else {
            	        MismatchedSetException mse =
            	            new MismatchedSetException(null,input);
            	        recover(mse);    throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt3 >= 1 ) break loop3;
                        EarlyExitException eee =
                            new EarlyExitException(3, input);
                        throw eee;
                }
                cnt3++;
            } while (true);

            skip();

            }

            this.type = _type;
        }
        finally {
        }
    }
    // $ANTLR end WS

    public void mTokens() throws RecognitionException {
        // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:8: ( T7 | T8 | T9 | T10 | T11 | T12 | T13 | T14 | T15 | T16 | T17 | T18 | T19 | T20 | T21 | T22 | T23 | T24 | T25 | T26 | T27 | T28 | T29 | T30 | ID | CONST | WS )
        int alt4=27;
        switch ( input.LA(1) ) {
        case 'i':
            {
            switch ( input.LA(2) ) {
            case 'f':
                {
                int LA4_23 = input.LA(3);

                if ( ((LA4_23>='0' && LA4_23<='9')||(LA4_23>='A' && LA4_23<='Z')||(LA4_23>='a' && LA4_23<='z')) ) {
                    alt4=25;
                }
                else {
                    alt4=20;}
                }
                break;
            case 'n':
                {
                int LA4_24 = input.LA(3);

                if ( (LA4_24=='t') ) {
                    int LA4_38 = input.LA(4);

                    if ( ((LA4_38>='0' && LA4_38<='9')||(LA4_38>='A' && LA4_38<='Z')||(LA4_38>='a' && LA4_38<='z')) ) {
                        alt4=25;
                    }
                    else {
                        alt4=1;}
                }
                else {
                    alt4=25;}
                }
                break;
            default:
                alt4=25;}

            }
            break;
        case ',':
            {
            alt4=2;
            }
            break;
        case ';':
            {
            alt4=3;
            }
            break;
        case '{':
            {
            alt4=4;
            }
            break;
        case '}':
            {
            alt4=5;
            }
            break;
        case '=':
            {
            int LA4_6 = input.LA(2);

            if ( (LA4_6=='=') ) {
                alt4=24;
            }
            else {
                alt4=6;}
            }
            break;
        case 'l':
            {
            int LA4_7 = input.LA(2);

            if ( (LA4_7=='e') ) {
                int LA4_27 = input.LA(3);

                if ( (LA4_27=='d') ) {
                    int LA4_39 = input.LA(4);

                    if ( ((LA4_39>='0' && LA4_39<='9')||(LA4_39>='A' && LA4_39<='Z')||(LA4_39>='a' && LA4_39<='z')) ) {
                        alt4=25;
                    }
                    else {
                        alt4=7;}
                }
                else {
                    alt4=25;}
            }
            else {
                alt4=25;}
            }
            break;
        case '(':
            {
            alt4=8;
            }
            break;
        case ')':
            {
            alt4=9;
            }
            break;
        case 'o':
            {
            int LA4_10 = input.LA(2);

            if ( (LA4_10=='u') ) {
                int LA4_28 = input.LA(3);

                if ( (LA4_28=='t') ) {
                    int LA4_40 = input.LA(4);

                    if ( ((LA4_40>='0' && LA4_40<='9')||(LA4_40>='A' && LA4_40<='Z')||(LA4_40>='a' && LA4_40<='z')) ) {
                        alt4=25;
                    }
                    else {
                        alt4=10;}
                }
                else {
                    alt4=25;}
            }
            else {
                alt4=25;}
            }
            break;
        case 'c':
            {
            int LA4_11 = input.LA(2);

            if ( (LA4_11=='m') ) {
                int LA4_29 = input.LA(3);

                if ( (LA4_29=='p') ) {
                    int LA4_41 = input.LA(4);

                    if ( (LA4_41=='l') ) {
                        int LA4_51 = input.LA(5);

                        if ( ((LA4_51>='0' && LA4_51<='9')||(LA4_51>='A' && LA4_51<='Z')||(LA4_51>='a' && LA4_51<='z')) ) {
                            alt4=25;
                        }
                        else {
                            alt4=11;}
                    }
                    else {
                        alt4=25;}
                }
                else {
                    alt4=25;}
            }
            else {
                alt4=25;}
            }
            break;
        case 's':
            {
            switch ( input.LA(2) ) {
            case 'h':
                {
                switch ( input.LA(3) ) {
                case 't':
                    {
                    int LA4_42 = input.LA(4);

                    if ( (LA4_42=='s') ) {
                        int LA4_52 = input.LA(5);

                        if ( ((LA4_52>='0' && LA4_52<='9')||(LA4_52>='A' && LA4_52<='Z')||(LA4_52>='a' && LA4_52<='z')) ) {
                            alt4=25;
                        }
                        else {
                            alt4=13;}
                    }
                    else {
                        alt4=25;}
                    }
                    break;
                case 'i':
                    {
                    int LA4_43 = input.LA(4);

                    if ( (LA4_43=='f') ) {
                        int LA4_53 = input.LA(5);

                        if ( (LA4_53=='t') ) {
                            int LA4_60 = input.LA(6);

                            if ( ((LA4_60>='0' && LA4_60<='9')||(LA4_60>='A' && LA4_60<='Z')||(LA4_60>='a' && LA4_60<='z')) ) {
                                alt4=25;
                            }
                            else {
                                alt4=12;}
                        }
                        else {
                            alt4=25;}
                    }
                    else {
                        alt4=25;}
                    }
                    break;
                default:
                    alt4=25;}

                }
                break;
            case 'o':
                {
                int LA4_31 = input.LA(3);

                if ( (LA4_31=='u') ) {
                    int LA4_44 = input.LA(4);

                    if ( (LA4_44=='n') ) {
                        int LA4_54 = input.LA(5);

                        if ( (LA4_54=='d') ) {
                            int LA4_61 = input.LA(6);

                            if ( ((LA4_61>='0' && LA4_61<='9')||(LA4_61>='A' && LA4_61<='Z')||(LA4_61>='a' && LA4_61<='z')) ) {
                                alt4=25;
                            }
                            else {
                                alt4=14;}
                        }
                        else {
                            alt4=25;}
                    }
                    else {
                        alt4=25;}
                }
                else {
                    alt4=25;}
                }
                break;
            default:
                alt4=25;}

            }
            break;
        case 't':
            {
            int LA4_13 = input.LA(2);

            if ( (LA4_13=='i') ) {
                int LA4_32 = input.LA(3);

                if ( (LA4_32=='m') ) {
                    int LA4_45 = input.LA(4);

                    if ( (LA4_45=='e') ) {
                        int LA4_55 = input.LA(5);

                        if ( (LA4_55=='r') ) {
                            int LA4_62 = input.LA(6);

                            if ( ((LA4_62>='0' && LA4_62<='9')||(LA4_62>='A' && LA4_62<='Z')||(LA4_62>='a' && LA4_62<='z')) ) {
                                alt4=25;
                            }
                            else {
                                alt4=15;}
                        }
                        else {
                            alt4=25;}
                    }
                    else {
                        alt4=25;}
                }
                else {
                    alt4=25;}
            }
            else {
                alt4=25;}
            }
            break;
        case '$':
            {
            int LA4_14 = input.LA(2);

            if ( (LA4_14=='Z') ) {
                alt4=22;
            }
            else if ( (LA4_14=='A') ) {
                alt4=16;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("1:1: Tokens : ( T7 | T8 | T9 | T10 | T11 | T12 | T13 | T14 | T15 | T16 | T17 | T18 | T19 | T20 | T21 | T22 | T23 | T24 | T25 | T26 | T27 | T28 | T29 | T30 | ID | CONST | WS );", 4, 14, input);

                throw nvae;
            }
            }
            break;
        case '+':
            {
            alt4=17;
            }
            break;
        case 'k':
            {
            int LA4_16 = input.LA(2);

            if ( (LA4_16=='e') ) {
                int LA4_35 = input.LA(3);

                if ( (LA4_35=='y') ) {
                    int LA4_46 = input.LA(4);

                    if ( ((LA4_46>='0' && LA4_46<='9')||(LA4_46>='A' && LA4_46<='Z')||(LA4_46>='a' && LA4_46<='z')) ) {
                        alt4=25;
                    }
                    else {
                        alt4=18;}
                }
                else {
                    alt4=25;}
            }
            else {
                alt4=25;}
            }
            break;
        case '-':
            {
            alt4=19;
            }
            break;
        case 'w':
            {
            int LA4_18 = input.LA(2);

            if ( (LA4_18=='h') ) {
                int LA4_36 = input.LA(3);

                if ( (LA4_36=='i') ) {
                    int LA4_47 = input.LA(4);

                    if ( (LA4_47=='l') ) {
                        int LA4_57 = input.LA(5);

                        if ( (LA4_57=='e') ) {
                            int LA4_63 = input.LA(6);

                            if ( ((LA4_63>='0' && LA4_63<='9')||(LA4_63>='A' && LA4_63<='Z')||(LA4_63>='a' && LA4_63<='z')) ) {
                                alt4=25;
                            }
                            else {
                                alt4=21;}
                        }
                        else {
                            alt4=25;}
                    }
                    else {
                        alt4=25;}
                }
                else {
                    alt4=25;}
            }
            else {
                alt4=25;}
            }
            break;
        case '>':
            {
            alt4=23;
            }
            break;
        case 'A':
        case 'B':
        case 'C':
        case 'D':
        case 'E':
        case 'F':
        case 'G':
        case 'H':
        case 'I':
        case 'J':
        case 'K':
        case 'L':
        case 'M':
        case 'N':
        case 'O':
        case 'P':
        case 'Q':
        case 'R':
        case 'S':
        case 'T':
        case 'U':
        case 'V':
        case 'W':
        case 'X':
        case 'Y':
        case 'Z':
        case 'a':
        case 'b':
        case 'd':
        case 'e':
        case 'f':
        case 'g':
        case 'h':
        case 'j':
        case 'm':
        case 'n':
        case 'p':
        case 'q':
        case 'r':
        case 'u':
        case 'v':
        case 'x':
        case 'y':
        case 'z':
            {
            alt4=25;
            }
            break;
        case '0':
        case '1':
        case '2':
        case '3':
        case '4':
        case '5':
        case '6':
        case '7':
        case '8':
        case '9':
            {
            alt4=26;
            }
            break;
        case '\t':
        case '\n':
        case '\r':
        case ' ':
            {
            alt4=27;
            }
            break;
        default:
            NoViableAltException nvae =
                new NoViableAltException("1:1: Tokens : ( T7 | T8 | T9 | T10 | T11 | T12 | T13 | T14 | T15 | T16 | T17 | T18 | T19 | T20 | T21 | T22 | T23 | T24 | T25 | T26 | T27 | T28 | T29 | T30 | ID | CONST | WS );", 4, 0, input);

            throw nvae;
        }

        switch (alt4) {
            case 1 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:10: T7
                {
                mT7(); 

                }
                break;
            case 2 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:13: T8
                {
                mT8(); 

                }
                break;
            case 3 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:16: T9
                {
                mT9(); 

                }
                break;
            case 4 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:19: T10
                {
                mT10(); 

                }
                break;
            case 5 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:23: T11
                {
                mT11(); 

                }
                break;
            case 6 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:27: T12
                {
                mT12(); 

                }
                break;
            case 7 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:31: T13
                {
                mT13(); 

                }
                break;
            case 8 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:35: T14
                {
                mT14(); 

                }
                break;
            case 9 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:39: T15
                {
                mT15(); 

                }
                break;
            case 10 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:43: T16
                {
                mT16(); 

                }
                break;
            case 11 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:47: T17
                {
                mT17(); 

                }
                break;
            case 12 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:51: T18
                {
                mT18(); 

                }
                break;
            case 13 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:55: T19
                {
                mT19(); 

                }
                break;
            case 14 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:59: T20
                {
                mT20(); 

                }
                break;
            case 15 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:63: T21
                {
                mT21(); 

                }
                break;
            case 16 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:67: T22
                {
                mT22(); 

                }
                break;
            case 17 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:71: T23
                {
                mT23(); 

                }
                break;
            case 18 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:75: T24
                {
                mT24(); 

                }
                break;
            case 19 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:79: T25
                {
                mT25(); 

                }
                break;
            case 20 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:83: T26
                {
                mT26(); 

                }
                break;
            case 21 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:87: T27
                {
                mT27(); 

                }
                break;
            case 22 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:91: T28
                {
                mT28(); 

                }
                break;
            case 23 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:95: T29
                {
                mT29(); 

                }
                break;
            case 24 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:99: T30
                {
                mT30(); 

                }
                break;
            case 25 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:103: ID
                {
                mID(); 

                }
                break;
            case 26 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:106: CONST
                {
                mCONST(); 

                }
                break;
            case 27 :
                // /Users/take/Documents/workspace/Gem4c/src/Gem4c.g:1:112: WS
                {
                mWS(); 

                }
                break;

        }

    }


 

}